Name: pcre
Version: 8.45
Release: 2
License: BSD-3-Clause
Summary: Perl-Compatible Regular Expression library
Url: http://www.pcre.org

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

BuildRequires: bzip2-devel
BuildRequires: zlib-devel
BuildRequires: readline-devel

Source0: http://download.sourceforge.net/pcre/pcre-%{version}.tar.bz2

Patch0: pcre-posix-compat.patch

%description
The PCRE library is a set of functions that implement regular expression pattern
matching using the same syntax and semantics as Perl 5. PCRE has its own native
API, as well as a set of wrapper functions that correspond to the POSIX
regular expression API.

%package tools
Summary: pcre tools

%description tools
Provides the pcregrep and pcretest command line tools.


%package -n libpcre1
Summary: pcre library
Provides: pcre = %{version}

%description -n libpcre1
Provides the libpcre1 library.


%package -n libpcreposix0
Summary: pcre library

%description -n libpcreposix0
Provides the libpcreposix0 library.


%package devel
Summary: pcre development files
Requires: libpcre1 = %{version}-%{release}
Requires: libpcreposix0 = %{version}-%{release}

%description devel
Provides the pcre development files.

%prep
%setup -q

%patch0 -p1

%build

perl -p -i -e 's|#!/bin/sh|#!/QOpenSys/usr/bin/sh|' pcre-config.in

autoreconf -fi

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --disable-static \
  --disable-cpp \
  --enable-utf8 \
  --enable-unicode-properties \
  --enable-pcregrep-libz \
  --enable-pcregrep-libbz2 \
  --enable-pcretest-libreadline \
  # end

%make_build


%install

%make_install

%files tools
%defattr(-, qsys, *none)
%{_bindir}/pcregrep
%{_bindir}/pcretest
%{_mandir}/man1/pcregrep.1*
%{_mandir}/man1/pcretest.1*


%files -n libpcre1
%defattr(-, qsys, *none)

%{_libdir}/libpcre.so.1*
%{_docdir}/pcre
%license COPYING LICENCE


%files -n libpcreposix0
%defattr(-, qsys, *none)
%{_libdir}/libpcreposix.so.0*


%files devel
%defattr(-, qsys, *none)

%{_bindir}/pcre-config
%{_mandir}/man1/pcre-config.1*

%{_includedir}/pcre.h
%{_includedir}/pcreposix.h

%{_libdir}/libpcre.so
%{_libdir}/libpcreposix.so

%{_libdir}/pkgconfig/libpcre.pc
%{_libdir}/pkgconfig/libpcreposix.pc

%{_mandir}/man3/pcre.3*
%{_mandir}/man3/pcre16.3*
%{_mandir}/man3/pcre16_assign_jit_stack.3*
%{_mandir}/man3/pcre16_compile.3*
%{_mandir}/man3/pcre16_compile2.3*
%{_mandir}/man3/pcre16_config.3*
%{_mandir}/man3/pcre16_copy_named_substring.3*
%{_mandir}/man3/pcre16_copy_substring.3*
%{_mandir}/man3/pcre16_dfa_exec.3*
%{_mandir}/man3/pcre16_exec.3*
%{_mandir}/man3/pcre16_free_study.3*
%{_mandir}/man3/pcre16_free_substring.3*
%{_mandir}/man3/pcre16_free_substring_list.3*
%{_mandir}/man3/pcre16_fullinfo.3*
%{_mandir}/man3/pcre16_get_named_substring.3*
%{_mandir}/man3/pcre16_get_stringnumber.3*
%{_mandir}/man3/pcre16_get_stringtable_entries.3*
%{_mandir}/man3/pcre16_get_substring.3*
%{_mandir}/man3/pcre16_get_substring_list.3*
%{_mandir}/man3/pcre16_jit_exec.3*
%{_mandir}/man3/pcre16_jit_stack_alloc.3*
%{_mandir}/man3/pcre16_jit_stack_free.3*
%{_mandir}/man3/pcre16_maketables.3*
%{_mandir}/man3/pcre16_pattern_to_host_byte_order.3*
%{_mandir}/man3/pcre16_refcount.3*
%{_mandir}/man3/pcre16_study.3*
%{_mandir}/man3/pcre16_utf16_to_host_byte_order.3*
%{_mandir}/man3/pcre16_version.3*
%{_mandir}/man3/pcre32.3*
%{_mandir}/man3/pcre32_assign_jit_stack.3*
%{_mandir}/man3/pcre32_compile.3*
%{_mandir}/man3/pcre32_compile2.3*
%{_mandir}/man3/pcre32_config.3*
%{_mandir}/man3/pcre32_copy_named_substring.3*
%{_mandir}/man3/pcre32_copy_substring.3*
%{_mandir}/man3/pcre32_dfa_exec.3*
%{_mandir}/man3/pcre32_exec.3*
%{_mandir}/man3/pcre32_free_study.3*
%{_mandir}/man3/pcre32_free_substring.3*
%{_mandir}/man3/pcre32_free_substring_list.3*
%{_mandir}/man3/pcre32_fullinfo.3*
%{_mandir}/man3/pcre32_get_named_substring.3*
%{_mandir}/man3/pcre32_get_stringnumber.3*
%{_mandir}/man3/pcre32_get_stringtable_entries.3*
%{_mandir}/man3/pcre32_get_substring.3*
%{_mandir}/man3/pcre32_get_substring_list.3*
%{_mandir}/man3/pcre32_jit_exec.3*
%{_mandir}/man3/pcre32_jit_stack_alloc.3*
%{_mandir}/man3/pcre32_jit_stack_free.3*
%{_mandir}/man3/pcre32_maketables.3*
%{_mandir}/man3/pcre32_pattern_to_host_byte_order.3*
%{_mandir}/man3/pcre32_refcount.3*
%{_mandir}/man3/pcre32_study.3*
%{_mandir}/man3/pcre32_utf32_to_host_byte_order.3*
%{_mandir}/man3/pcre32_version.3*
%{_mandir}/man3/pcre_assign_jit_stack.3*
%{_mandir}/man3/pcre_compile.3*
%{_mandir}/man3/pcre_compile2.3*
%{_mandir}/man3/pcre_config.3*
%{_mandir}/man3/pcre_copy_named_substring.3*
%{_mandir}/man3/pcre_copy_substring.3*
%{_mandir}/man3/pcre_dfa_exec.3*
%{_mandir}/man3/pcre_exec.3*
%{_mandir}/man3/pcre_free_study.3*
%{_mandir}/man3/pcre_free_substring.3*
%{_mandir}/man3/pcre_free_substring_list.3*
%{_mandir}/man3/pcre_fullinfo.3*
%{_mandir}/man3/pcre_get_named_substring.3*
%{_mandir}/man3/pcre_get_stringnumber.3*
%{_mandir}/man3/pcre_get_stringtable_entries.3*
%{_mandir}/man3/pcre_get_substring.3*
%{_mandir}/man3/pcre_get_substring_list.3*
%{_mandir}/man3/pcre_jit_exec.3*
%{_mandir}/man3/pcre_jit_stack_alloc.3*
%{_mandir}/man3/pcre_jit_stack_free.3*
%{_mandir}/man3/pcre_maketables.3*
%{_mandir}/man3/pcre_pattern_to_host_byte_order.3*
%{_mandir}/man3/pcre_refcount.3*
%{_mandir}/man3/pcre_study.3*
%{_mandir}/man3/pcre_utf16_to_host_byte_order.3*
%{_mandir}/man3/pcre_utf32_to_host_byte_order.3*
%{_mandir}/man3/pcre_version.3*
%{_mandir}/man3/pcreapi.3*
%{_mandir}/man3/pcrebuild.3*
%{_mandir}/man3/pcrecallout.3*
%{_mandir}/man3/pcrecompat.3*
%{_mandir}/man3/pcredemo.3*
%{_mandir}/man3/pcrejit.3*
%{_mandir}/man3/pcrelimits.3*
%{_mandir}/man3/pcrematching.3*
%{_mandir}/man3/pcrepartial.3*
%{_mandir}/man3/pcrepattern.3*
%{_mandir}/man3/pcreperform.3*
%{_mandir}/man3/pcreposix.3*
%{_mandir}/man3/pcreprecompile.3*
%{_mandir}/man3/pcresample.3*
%{_mandir}/man3/pcrestack.3*
%{_mandir}/man3/pcresyntax.3*
%{_mandir}/man3/pcreunicode.3*

%changelog
* Mon Nov 29 2021 Mark Irish <mirish@ibm.com> - 8.45
- Update to 8.45

* Thu Nov 4 2021 Jason Hansen <stymie@us.ibm.com> - 8.43
- Intra-package Requires need version and release
- Update URL for source

* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 8.43
- Use brp-rm-libtool-files

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 8.43
- Use generic paths for man and info pages to allow for compression

* Thu Jan 30 2020 Mark Irish <mirish@ibm.com> - 8.43
- Upgrade to version 8.43
- Update Source0 URL (old one wasn't responding)
- Clean up configure options

* Wed Nov 27 2019 Kevin Adler <kadler@us.ibm.com> - 8.40
- Use SPDX license identifier

* Fri Jan 04 2019 - Kevin Adler <kadler@us.ibm.com>
- Add function aliases for POSIX regex functions

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Add BuildRequires for autotools
- Remove gcc wrappers

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds
- OBJECT_MODE now always set by build and install macros

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Update BuildRequires

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded Provides/Requires lines
- Use auto dependency resolution instead of requiring pase-libs

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license
